<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_32) on Fri Nov 16 08:58:56 CET 2012 -->
<META http-equiv="Content-Type" content="text/html; charset=utf8">
<TITLE>
PecheGestionComponent
</TITLE>

<META NAME="date" CONTENT="2012-11-16">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="PecheGestionComponent";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/PecheGestionComponent.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/cocktail/peche/components/commun/PecheCreationForm.html" title="class in org.cocktail.peche.components.commun"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/cocktail/peche/components/commun/PecheGestionComponent.DisplayGroupDelegate.html" title="class in org.cocktail.peche.components.commun"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/cocktail/peche/components/commun/PecheGestionComponent.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="PecheGestionComponent.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_class_summary">NESTED</A>&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_org.cocktail.peche.components.commun.PecheComponent">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.cocktail.peche.components.commun</FONT>
<BR>
Class PecheGestionComponent&lt;EO extends er.extensions.eof.ERXGenericRecord,F extends <A HREF="../../../../../org/cocktail/peche/components/commun/PecheCreationForm.html" title="class in org.cocktail.peche.components.commun">PecheCreationForm</A>&lt;EO&gt;&gt;</H2>
<PRE>
java.lang.Object
  <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by ">com.webobjects.appserver.WOElement
      <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by ">com.webobjects.appserver.WOComponent
          <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by ">org.cocktail.fwkcktlwebapp.server.components.CktlWebComponent
              <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by ">org.cocktail.fwkcktlajaxwebext.serveur.CktlAjaxWOComponent
                  <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../../org/cocktail/peche/components/commun/PecheComponent.html" title="class in org.cocktail.peche.components.commun">org.cocktail.peche.components.commun.PecheComponent</A>
                      <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><B>org.cocktail.peche.components.commun.PecheGestionComponent&lt;EO,F&gt;</B>
</PRE>
<DL>
<DT><DT><B>Type Parameters:</B><DD><CODE>EO</CODE> - le type générique de l'objet métier.<DD><CODE>F</CODE> - le formulaire générique de saisie pour l'objet métier.</DL>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD>com.webobjects.appserver.WOActionResults, com.webobjects.foundation.NSKeyValueCoding, com.webobjects.foundation.NSKeyValueCoding.ErrorHandling, com.webobjects.foundation.NSKeyValueCodingAdditions, com.webobjects.foundation.NSValidation, java.io.Serializable, java.lang.Cloneable</DD>
</DL>
<DL>
<DT><B>Direct Known Subclasses:</B> <DD><A HREF="../../../../../org/cocktail/peche/components/enseignants/EnseignantsStatutaires.html" title="class in org.cocktail.peche.components.enseignants">EnseignantsStatutaires</A>, <A HREF="../../../../../org/cocktail/peche/components/enseignants/EnseignantsVacataires.html" title="class in org.cocktail.peche.components.enseignants">EnseignantsVacataires</A>, <A HREF="../../../../../org/cocktail/peche/components/parametres/hetd/ParamsPopHetdGestion.html" title="class in org.cocktail.peche.components.parametres.hetd">ParamsPopHetdGestion</A>, <A HREF="../../../../../org/cocktail/peche/components/parametres/reh/RehGestion.html" title="class in org.cocktail.peche.components.parametres.reh">RehGestion</A>, <A HREF="../../../../../org/cocktail/peche/components/service/ServiceIniEnCours.html" title="class in org.cocktail.peche.components.service">ServiceIniEnCours</A>, <A HREF="../../../../../org/cocktail/peche/components/service/ServiceInitialisation.html" title="class in org.cocktail.peche.components.service">ServiceInitialisation</A>, <A HREF="../../../../../org/cocktail/peche/components/service/ServicePrevisionnel.html" title="class in org.cocktail.peche.components.service">ServicePrevisionnel</A>, <A HREF="../../../../../org/cocktail/peche/components/parametres/hetd/TypesHoraireGestion.html" title="class in org.cocktail.peche.components.parametres.hetd">TypesHoraireGestion</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public abstract class <B>PecheGestionComponent&lt;EO extends er.extensions.eof.ERXGenericRecord,F extends <A HREF="../../../../../org/cocktail/peche/components/commun/PecheCreationForm.html" title="class in org.cocktail.peche.components.commun">PecheCreationForm</A>&lt;EO&gt;&gt;</B><DT>extends <A HREF="../../../../../org/cocktail/peche/components/commun/PecheComponent.html" title="class in org.cocktail.peche.components.commun">PecheComponent</A></DL>
</PRE>

<P>
Composant générique pour l'application Peche.
<P>

<P>
<DL>
<DT><B>Author:</B></DT>
  <DD>Yannick Mauray</DD>
<DT><B>See Also:</B><DD><A HREF="../../../../../serialized-form.html#org.cocktail.peche.components.commun.PecheGestionComponent">Serialized Form</A></DL>
<HR>

<P>
<!-- ======== NESTED CLASS SUMMARY ======== -->

<A NAME="nested_class_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Nested Class Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/cocktail/peche/components/commun/PecheGestionComponent.DisplayGroupDelegate.html" title="class in org.cocktail.peche.components.commun">PecheGestionComponent.DisplayGroupDelegate</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Cet objet permet de mémoriser l'élément sélectionné par le displayGroup.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="nested_classes_inherited_from_class_com.webobjects.appserver.WOComponent"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Nested classes/interfaces inherited from class com.webobjects.appserver.WOComponent</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>com.webobjects.appserver.WOComponent._EventLoggingEnabler, com.webobjects.appserver.WOComponent.Event</CODE></TD>
</TR>
</TABLE>
&nbsp;
<A NAME="nested_classes_inherited_from_class_com.webobjects.foundation.NSKeyValueCodingAdditions"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Nested classes/interfaces inherited from interface com.webobjects.foundation.NSKeyValueCodingAdditions</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>com.webobjects.foundation.NSKeyValueCodingAdditions.DefaultImplementation, com.webobjects.foundation.NSKeyValueCodingAdditions.Utility</CODE></TD>
</TR>
</TABLE>
&nbsp;
<A NAME="nested_classes_inherited_from_class_com.webobjects.foundation.NSKeyValueCoding"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Nested classes/interfaces inherited from interface com.webobjects.foundation.NSKeyValueCoding</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>com.webobjects.foundation.NSKeyValueCoding._BooleanFieldBinding, com.webobjects.foundation.NSKeyValueCoding._BooleanMethodBinding, com.webobjects.foundation.NSKeyValueCoding._FieldBinding, com.webobjects.foundation.NSKeyValueCoding._ForwardingBinding, com.webobjects.foundation.NSKeyValueCoding._KeyBinding, com.webobjects.foundation.NSKeyValueCoding._KeyBindingCreation, com.webobjects.foundation.NSKeyValueCoding._MethodBinding, com.webobjects.foundation.NSKeyValueCoding._NumberFieldBinding, com.webobjects.foundation.NSKeyValueCoding._NumberMethodBinding, com.webobjects.foundation.NSKeyValueCoding._ReflectionKeyBindingCreation, com.webobjects.foundation.NSKeyValueCoding.ErrorHandling, com.webobjects.foundation.NSKeyValueCoding.MapImplementation, com.webobjects.foundation.NSKeyValueCoding.Null&lt;T&gt;, com.webobjects.foundation.NSKeyValueCoding.UnknownKeyException, com.webobjects.foundation.NSKeyValueCoding.ValueAccessor</CODE></TD>
</TR>
</TABLE>
&nbsp;
<A NAME="nested_classes_inherited_from_class_com.webobjects.foundation.NSValidation"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Nested classes/interfaces inherited from interface com.webobjects.foundation.NSValidation</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>com.webobjects.foundation.NSValidation._MethodBinding, com.webobjects.foundation.NSValidation._ValidationBinding, com.webobjects.foundation.NSValidation.DefaultImplementation, com.webobjects.foundation.NSValidation.Utility, com.webobjects.foundation.NSValidation.ValidationException</CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_org.cocktail.peche.components.commun.PecheComponent"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from class org.cocktail.peche.components.commun.<A HREF="../../../../../org/cocktail/peche/components/commun/PecheComponent.html" title="class in org.cocktail.peche.components.commun">PecheComponent</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../org/cocktail/peche/components/commun/PecheComponent.html#application">application</A>, <A HREF="../../../../../org/cocktail/peche/components/commun/PecheComponent.html#BINDING_editingContext">BINDING_editingContext</A>, <A HREF="../../../../../org/cocktail/peche/components/commun/PecheComponent.html#isClickToOpenEnabled">isClickToOpenEnabled</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_org.cocktail.fwkcktlajaxwebext.serveur.CktlAjaxWOComponent"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from class org.cocktail.fwkcktlajaxwebext.serveur.CktlAjaxWOComponent</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>BINDING_cssFilename, BINDING_cssFwkName, BINDING_id, BINDING_updateContainerID</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_org.cocktail.fwkcktlwebapp.server.components.CktlWebComponent"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from class org.cocktail.fwkcktlwebapp.server.components.CktlWebComponent</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>cktlApp, RESOURCE_DEST_END_BODY, RESOURCE_DEST_END_HEAD, RESOURCE_FROM_EXTERN, RESOURCE_FROM_WEB_SERVER_RESOURCES, RESOURCE_NONE, RESOURCE_TYPE_CSS, RESOURCE_TYPE_JSCRIPT, RESOURCE_TYPE_OTHER, TAG_CLOSE_HEAD, TAG_OPEN_BODY</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_com.webobjects.appserver.WOComponent"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from class com.webobjects.appserver.WOComponent</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>_keyAssociations</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_com.webobjects.foundation.NSKeyValueCoding.ErrorHandling"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from interface com.webobjects.foundation.NSKeyValueCoding.ErrorHandling</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>_CLASS</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_com.webobjects.foundation.NSKeyValueCodingAdditions"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from interface com.webobjects.foundation.NSKeyValueCodingAdditions</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>_CLASS, _KeyPathSeparatorChar, KeyPathSeparator</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_com.webobjects.foundation.NSKeyValueCoding"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from interface com.webobjects.foundation.NSKeyValueCoding</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>NullValue</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_com.webobjects.foundation.NSValidation"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from interface com.webobjects.foundation.NSValidation</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>_CLASS</CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/cocktail/peche/components/commun/PecheGestionComponent.html#PecheGestionComponent(com.webobjects.appserver.WOContext)">PecheGestionComponent</A></B>(com.webobjects.appserver.WOContext&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructeur.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;com.webobjects.appserver.WOActionResults</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/cocktail/peche/components/commun/PecheGestionComponent.html#ajouterAction()">ajouterAction</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Action générique d'ajout.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/cocktail/peche/components/commun/PecheGestionComponent.html#buttonsContainerId()">buttonsContainerId</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/cocktail/peche/components/commun/PecheGestionComponent.html#containersId()">containersId</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;com.webobjects.appserver.WOActionResults</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/cocktail/peche/components/commun/PecheGestionComponent.html#deleteAction()">deleteAction</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Action générique de suppression.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;er.extensions.appserver.ERXDisplayGroup&lt;<A HREF="../../../../../org/cocktail/peche/components/commun/PecheGestionComponent.html" title="type parameter in PecheGestionComponent">EO</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/cocktail/peche/components/commun/PecheGestionComponent.html#displayGroup()">displayGroup</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;com.webobjects.appserver.WOActionResults</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/cocktail/peche/components/commun/PecheGestionComponent.html#dupliquerAction()">dupliquerAction</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Action générique de duplication.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../org/cocktail/peche/components/commun/PecheGestionComponent.html" title="type parameter in PecheGestionComponent">EO</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/cocktail/peche/components/commun/PecheGestionComponent.html#getCurrentItem()">getCurrentItem</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;com.webobjects.appserver.WOActionResults</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/cocktail/peche/components/commun/PecheGestionComponent.html#modifierAction()">modifierAction</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Action générique de modification.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/cocktail/peche/components/commun/PecheGestionComponent.html#onClickBefore()">onClickBefore</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Message de confirmation à la suppression d'un élément.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/cocktail/peche/components/commun/PecheGestionComponent.html#setCurrentItem(EO)">setCurrentItem</A></B>(<A HREF="../../../../../org/cocktail/peche/components/commun/PecheGestionComponent.html" title="type parameter in PecheGestionComponent">EO</A>&nbsp;currentItem)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/cocktail/peche/components/commun/PecheGestionComponent.html#tableViewContainerId()">tableViewContainerId</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/cocktail/peche/components/commun/PecheGestionComponent.html#tableViewId()">tableViewId</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.cocktail.peche.components.commun.PecheComponent"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class org.cocktail.peche.components.commun.<A HREF="../../../../../org/cocktail/peche/components/commun/PecheComponent.html" title="class in org.cocktail.peche.components.commun">PecheComponent</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../org/cocktail/peche/components/commun/PecheComponent.html#appendToResponse(com.webobjects.appserver.WOResponse, com.webobjects.appserver.WOContext)">appendToResponse</A>, <A HREF="../../../../../org/cocktail/peche/components/commun/PecheComponent.html#edc()">edc</A>, <A HREF="../../../../../org/cocktail/peche/components/commun/PecheComponent.html#getId(java.lang.String)">getId</A>, <A HREF="../../../../../org/cocktail/peche/components/commun/PecheComponent.html#getPecheSession()">getPecheSession</A>, <A HREF="../../../../../org/cocktail/peche/components/commun/PecheComponent.html#localisation(java.lang.String)">localisation</A>, <A HREF="../../../../../org/cocktail/peche/components/commun/PecheComponent.html#message(java.lang.String)">message</A>, <A HREF="../../../../../org/cocktail/peche/components/commun/PecheComponent.html#onloadJS()">onloadJS</A>, <A HREF="../../../../../org/cocktail/peche/components/commun/PecheComponent.html#setOnloadJS(java.lang.String)">setOnloadJS</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.cocktail.fwkcktlajaxwebext.serveur.CktlAjaxWOComponent"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class org.cocktail.fwkcktlajaxwebext.serveur.CktlAjaxWOComponent</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>doNothing, getComponentId, getJsForComponentUpdate, getJsForMainContainerUpdate, getJsForUpdateContainerUpdate, getMainContainerId, jsEncode, myApp, mySession, synchronizesVariablesWithBindings, updateContainerID</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.cocktail.fwkcktlwebapp.server.components.CktlWebComponent"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class org.cocktail.fwkcktlwebapp.server.components.CktlWebComponent</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>addHTMLBinding, addLocalCss, addLocalCss, addLocalJScript, addLocalJScript, addRemoteCss, addRemoteJScript, addTextCss, addTextInHead, addTextJScriptAtEnd, booleanValueForBinding, cktlApp, cktlSession, fwkCktlWebAppFrameworkName, getLocalWebServerResourceUrl, stringValueForBinding, validationFailedWithException</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_com.webobjects.appserver.WOComponent"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class com.webobjects.appserver.WOComponent</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>_associationWithName, _awakeInContext, _childTemplate, _cleanUpStatelessComponent, _componentDefinition, _componentUnroll, _isPage, _setContext, _setIsPage, _setParent, _setSubcomponent, _sleepInContext, _subcomponentForElementWithID, _unroll, application, awake, baseURL, bindingKeys, canAccessFieldsDirectly, canGetValueForBinding, canSetValueForBinding, clone, context, debugString, descriptionForResponse, ensureAwakeInContext, frameworkName, generateResponse, handleQueryWithUnboundKey, handleTakeValueForUnboundKey, hasBinding, hasSession, invokeAction, isCachingEnabled, isEventLoggingEnabled, isStateless, logString, name, pageWithName, parent, path, pathURL, performParentAction, pullValuesFromParent, pushValuesToParent, reset, session, set_componentUnroll, set_unroll, setCachingEnabled, setValueForBinding, setVariableValueForName, sleep, takeValueForKey, takeValueForKeyPath, takeValuesFromRequest, template, templateWithHTMLString, templateWithHTMLString, templateWithHTMLString, templateWithName, toString, unableToSetNullForKey, validateTakeValueForKeyPath, validateValueForKey, valueForBinding, valueForBooleanBinding, valueForIntegerBinding, valueForKey, valueForKeyPath, valueForNSArrayBindings, valueForNSDictionaryBindings, valueForNumberBinding, valueForStringBinding, variableValueForName, variableWithName</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.Object</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>equals, getClass, hashCode, notify, notifyAll, wait, wait, wait</CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="PecheGestionComponent(com.webobjects.appserver.WOContext)"><!-- --></A><H3>
PecheGestionComponent</H3>
<PRE>
public <B>PecheGestionComponent</B>(com.webobjects.appserver.WOContext&nbsp;context)</PRE>
<DL>
<DD>Constructeur.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>context</CODE> - le contexte d'exécution.</DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="displayGroup()"><!-- --></A><H3>
displayGroup</H3>
<PRE>
public er.extensions.appserver.ERXDisplayGroup&lt;<A HREF="../../../../../org/cocktail/peche/components/commun/PecheGestionComponent.html" title="type parameter in PecheGestionComponent">EO</A>&gt; <B>displayGroup</B>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>the displayGroup</DL>
</DD>
</DL>
<HR>

<A NAME="onClickBefore()"><!-- --></A><H3>
onClickBefore</H3>
<PRE>
public java.lang.String <B>onClickBefore</B>()</PRE>
<DL>
<DD>Message de confirmation à la suppression d'un élément.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>message</DL>
</DD>
</DL>
<HR>

<A NAME="ajouterAction()"><!-- --></A><H3>
ajouterAction</H3>
<PRE>
public com.webobjects.appserver.WOActionResults <B>ajouterAction</B>()</PRE>
<DL>
<DD>Action générique d'ajout.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>une instance du formulaire en mode création.</DL>
</DD>
</DL>
<HR>

<A NAME="dupliquerAction()"><!-- --></A><H3>
dupliquerAction</H3>
<PRE>
public com.webobjects.appserver.WOActionResults <B>dupliquerAction</B>()</PRE>
<DL>
<DD>Action générique de duplication.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>une instance du formulaire en mode duplication.</DL>
</DD>
</DL>
<HR>

<A NAME="modifierAction()"><!-- --></A><H3>
modifierAction</H3>
<PRE>
public com.webobjects.appserver.WOActionResults <B>modifierAction</B>()</PRE>
<DL>
<DD>Action générique de modification.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>une instance du formulaire en mode modification.</DL>
</DD>
</DL>
<HR>

<A NAME="deleteAction()"><!-- --></A><H3>
deleteAction</H3>
<PRE>
public com.webobjects.appserver.WOActionResults <B>deleteAction</B>()</PRE>
<DL>
<DD>Action générique de suppression. Supprime l'objet sélectionné. Cette
 action doit être appelée après confirmation par l'utilisateur.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>null.</DL>
</DD>
</DL>
<HR>

<A NAME="containersId()"><!-- --></A><H3>
containersId</H3>
<PRE>
public java.lang.String <B>containersId</B>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>l'identifiant du conteneur principal.</DL>
</DD>
</DL>
<HR>

<A NAME="tableViewContainerId()"><!-- --></A><H3>
tableViewContainerId</H3>
<PRE>
public java.lang.String <B>tableViewContainerId</B>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>l'identifiant du conteneur de la table.</DL>
</DD>
</DL>
<HR>

<A NAME="buttonsContainerId()"><!-- --></A><H3>
buttonsContainerId</H3>
<PRE>
public java.lang.String <B>buttonsContainerId</B>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>l'identifiant du conteneur des boutons.</DL>
</DD>
</DL>
<HR>

<A NAME="tableViewId()"><!-- --></A><H3>
tableViewId</H3>
<PRE>
public java.lang.String <B>tableViewId</B>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>l'identifiant du conteneur des données de la table.</DL>
</DD>
</DL>
<HR>

<A NAME="getCurrentItem()"><!-- --></A><H3>
getCurrentItem</H3>
<PRE>
public <A HREF="../../../../../org/cocktail/peche/components/commun/PecheGestionComponent.html" title="type parameter in PecheGestionComponent">EO</A> <B>getCurrentItem</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setCurrentItem(er.extensions.eof.ERXGenericRecord)"><!-- --></A><A NAME="setCurrentItem(EO)"><!-- --></A><H3>
setCurrentItem</H3>
<PRE>
public void <B>setCurrentItem</B>(<A HREF="../../../../../org/cocktail/peche/components/commun/PecheGestionComponent.html" title="type parameter in PecheGestionComponent">EO</A>&nbsp;currentItem)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/PecheGestionComponent.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/cocktail/peche/components/commun/PecheCreationForm.html" title="class in org.cocktail.peche.components.commun"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/cocktail/peche/components/commun/PecheGestionComponent.DisplayGroupDelegate.html" title="class in org.cocktail.peche.components.commun"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/cocktail/peche/components/commun/PecheGestionComponent.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="PecheGestionComponent.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_class_summary">NESTED</A>&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_org.cocktail.peche.components.commun.PecheComponent">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
